Skip to main content

Suggest Games

Get game suggestions based on (partial) search queries. For example, the query 'gt' will return games like GTA.

Use this endpoint if you want to suggest matching games while the user is typing or you have incomplete input.

Questions? Need Help? Ask Away

Parameters

NameExampleDescription
querykingdom coThe (partial) search query.
limit10Number of results to return between 1 and 10.
api-keyyour-api-keyYour API key.

Example Request and Response

GET https://api.gamebrain.co/v1/games/suggestions?query=kingdom+co
{
    "results": [
        {
            "id": 1273796,
            "year": 2024,
            "name": "Kingdom Come: Deliverance II",
            "genre": "Open World Role Playing",
            "image": "https://img.gamebrain.co/games/487/kingdom_come_deliverance_2_warhorse_2025_3.jpg",
            "link": "https://gamebrain.co/game/kingdom-come-deliverance-2",
            "rating": {
                "mean": 0.906146,
                "count": 32476
            },
            "adult_only": true
        },
        {
            "id": 70805,
            "year": 2019,
            "name": "Kingdom Come: Deliverance",
            "genre": "Open World Role Playing",
            "image": "https://img.gamebrain.co/games/347/kingdom_come_deliverance_warhorse_2018_6.jpg",
            "link": "https://gamebrain.co/game/kingdom-come-deliverance",
            "rating": {
                "mean": 0.7521855,
                "count": 46801
            },
            "adult_only": true
        },
        {
            "id": 905178,
            "year": 2023,
            "name": "Dokapon Kingdom: Connect",
            "genre": "Casual Role Playing",
            "image": "https://img.gamebrain.co/games/798/dokapon_kingdom_connect_compileheart_2023_30.jpg",
            "link": "https://gamebrain.co/game/dokapon-kingdom-connect",
            "rating": {
                "mean": 0.899048,
                "count": 525
            },
            "adult_only": false
        }
    ]
}
													
curl -X GET 'https://api.gamebrain.co/v1/games/suggestions?query=kingdom+co' \ -H 'x-api-key: {apiKey}'
													

Cost

Calling this endpoint costs 0.1 tokens.